import 'package:flutter/material.dart';
import 'dart:async';

import 'package:flutter/services.dart';
import 'package:itplugin/controls/it_button.dart';
import 'package:itplugin/controls/it_text_field.dart';
import 'package:itplugin/itplugin.dart';
import 'package:itplugin/extensions/screen_extension.dart';

void main() {
  runApp(MyApp());
}

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  final _formKey = GlobalKey<FormState>();
  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        backgroundColor: Colors.white,
        appBar: AppBar(
          title: const Text('Plugin example app'),
        ),
        body: Center(
          child: Form(
            key: _formKey,
            child: Column(
              children: [
                ItTextField(
                  style: TextStyle(fontSize: 16),
                  focusColor: Colors.red,
                  textColor: Colors.purple,
                  padding: EdgeInsets.all(0),
                  contentPadding: EdgeInsets.all(0),
                  linePadding: 0,
                  
                  leftItem: Icon(Icons.plus_one),
                  validationFunction: (value) {
                    if (value.length < 2) return "Erro tá errado";
                    return null;
                  },
                ),
                Container(
                    padding: EdgeInsets.fromLTRB(30, 40, 30, 0),
                    child: Column(
                      children: <Widget>[
                        ItButton(
                          "Login",
                          maxWidth: 200,
                          borderRadius: 70,
                          textStyle: TextStyle(fontSize: 22),
                          onClick: () {
                            if (_formKey.currentState.validate()) {
                      
                            }
                          },
                        ),
                      ],
                    )),
              ],
            ),
          ),
        ),
      ),
    );
  }
}
